# Based on the Fedora .spec file for task 1.9.4
%define shortname task

Name:           taskwarrior
Version:        2.1.2
Release:        %mkrel 2
Summary:        A command-line to do list manager
Group:          Office/Organizer
License:        MIT
URL:            http://taskwarrior.org
Source0:        http://taskwarrior.org/download/%{shortname}-%{version}.tar.gz
BuildRequires:  cmake


%description
Task is a command-line to do list manager. It has support for GTD functionality
and includes the following features: tags, colorful tabular output, reports and
graphs, lots of manipulation commands, low-level API, abbreviations for all
commands and options, multi-user file locking, recurring tasks.

%prep
%setup -q -n %{shortname}-%{version}

%build
%cmake
make

%install
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 -T scripts/bash/task.sh %{buildroot}%{_sysconfdir}/bash_completion.d/task
cd build
make install DESTDIR=%{buildroot}
mv %{buildroot}%{_defaultdocdir}/%{shortname} %{buildroot}%{_defaultdocdir}/%{name}
rm %{buildroot}%{_defaultdocdir}/%{name}/INSTALL

%files
%doc %{_defaultdocdir}/%{name}/
%{_bindir}/task
%{_mandir}/man1/task.1.xz
%{_mandir}/man5/taskrc.5.xz
%{_mandir}/man5/task-tutorial.5.xz
%{_mandir}/man5/task-color.5.xz
%{_mandir}/man5/task-faq.5.xz
%{_mandir}/man5/task-sync.5.xz
%config(noreplace) %{_sysconfdir}/bash_completion.d



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.1.2-2.mga3
+ Revision: 384133
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 remmy <remmy> 2.1.2-1.mga3
+ Revision: 298783
- New upstream version: 2.1.2
- Moved to RPM group Office/Organizer

* Sat Aug 11 2012 remmy <remmy> 2.1.1-1.mga3
+ Revision: 280526
- New upstream version: 2.1.1

* Sat Apr 21 2012 remmy <remmy> 2.0.0-1.mga2
+ Revision: 232205
- imported package taskwarrior

